package cn.com.countrygarden.bi.main.dto.personnel;

import java.util.Date;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;

import cn.com.countrygarden.bi.main.model.personnel.Personnel;

public class PersonnelTgDTO  extends Personnel{
	
	private Integer id;
	
	private Integer personnelId;
    /**
     * 关联人员编号
     */	
    private String userId;   
    /**
     *  /**
     * 标签id
     */
    private Integer personneltagId;
    /**
     *  /**
     * 标签
     */
    private String identity;
    /**
     * 人才名称
     */ 	
    private String name;
    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date createdDate;
    /**
     * 创建人
     */ 	
    private String createdBy;
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date updatedDate;
    /**
     * 更新人
     */ 	
    private String updatedBy;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public Integer getPersonneltagId() {
		return personneltagId;
	}
	public void setPersonneltagId(Integer personneltagId) {
		this.personneltagId = personneltagId;
	}
	public String getIdentity() {
		return identity;
	}
	public void setIdentity(String identity) {
		this.identity = identity;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	public Date getUpdatedDate() {
		return updatedDate;
	}
	public void setUpdatedDate(Date updatedDate) {
		this.updatedDate = updatedDate;
	}
	public String getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}
	public Integer getPersonnelId() {
		return personnelId;
	}
	public void setPersonnelId(Integer personnelId) {
		this.personnelId = personnelId;
	}

}
